# class Byebug::VarCommand::LocalCommand

Shows local variables in current scope

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/var/local.rb, line 22
          def self.description
            <<-DESCRIPTION
              v[ar] l[ocal]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/var/local.rb, line 18
    def self.regexp
      /^\s* l(?:ocal)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/var/local.rb, line 30
    def self.short_description
      "Shows local variables in current scope."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/var/local.rb, line 34
    def execute
      var_local
    end